SDL_logf(3)

NAME
SDL_logf - Compute the natural logarithm of x.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

float SDL_logf(float x);

DESCRIPTION
Domain: 0 < x <= INF

Range: -INF <= y <= INF

It is an error for x to be less than or equal to 0.

This function operates on single-precision floating point values, use SDL_log for double-precision floats.

This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value. Must be greater than 0.

RETURN VALUE
Returns the natural logarithm of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_log(3), SDL_expf(3)